KDE 4.7 PyKDE API Reference

- KDE's Python API

# MultiGetJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.TransferJob → KIO.SimpleJob → KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

The MultiGetJob is a TransferJob that allows you to get several files from a single server. Don't create directly, but use KIO.multi_get() instead.

See also:
  KIO.multi_get()

## Signals
| data (long id, QByteArray data)
| mimetype (long id, QString type)
| result (long id)
## Methods
| __init__ (self)
| get (self, long id, KUrl url, KIO.MetaData metaData)
| slotData (self, QByteArray data)
| slotFinished (self)
| slotMimetype (self, QString mimetype)
| slotRedirection (self, KUrl url)

## Signal Documentation

data | ( | long | id,
|  | QByteArray | data
| ) |  |  |

Data from the slave has arrived.

Parameters:

  | id | the id of the request
  | data | data received from the slave. End of data (EOD) has been reached if data.size() == 0

Signal syntax:
  `QObject.connect(source, SIGNAL("data(long, const QByteArray&)"), target_slot)`

mimetype | ( | long | id,
|  | QString | type
| ) |  |  |

Mimetype determined

Parameters:

  | id | the id of the request
  | type | the mime type

Signal syntax:
  `QObject.connect(source, SIGNAL("mimetype(long, const QString&)"), target_slot)`

result | ( | long | id
| ) |  |  |

File transfer completed.

When all files have been processed, result(KJob *) gets emitted.

Parameters:

  | id | the id of the request

Signal syntax:
  `QObject.connect(source, SIGNAL("result(long)"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

get | ( | self, |
|  | long | id,
|  | KUrl | url,
|  | KIO.MetaData | metaData
| ) |  |  |

Get an additional file.

Parameters:

  | id | the id of the file
  | url | the url of the file to get
  | metaData | the meta data for this request

slotData | ( | self, |
|  | QByteArray | data
| ) |  |  |

slotFinished | ( |  | self ) |

slotMimetype | ( | self, |
|  | QString | mimetype
| ) |  |  |

slotRedirection | ( | self, |
|  | KUrl | url
| ) |  |  |